<?php
/*
  $Id: recently_viewed.php
  $Loc: catalog/

  based on 2.0 2008-10-28 Kymation $

  Recently Viewed 5.3.7 Phoenix Cart
  by @raiwa
  raiwa@phoenixcartaddons.com
  www.phoenixcartaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

  require 'includes/application_top.php';

  require language::map_to_translation('recently_viewed.php');

  if (empty($_SESSION['recently_viewed'])) {
    Href::redirect($Linker->build('index.php'));
  }
  
  $recently_viewed = $_SESSION['recently_viewed'];

  $listing_sql = sprintf(<<<'EOSQL'
SELECT m.*, %s
 FROM
  products_description pd
    INNER JOIN products p ON p.products_id = pd.products_id
    LEFT JOIN manufacturers m ON p.manufacturers_id = m.manufacturers_id
    LEFT JOIN specials s ON p.products_id = s.products_id
    LEFT JOIN (SELECT products_id, COUNT(*) AS attribute_count FROM products_attributes GROUP BY products_id) a ON p.products_id = a.products_id
 WHERE pd.products_id IN (%s) 
    AND p.products_status = 1 AND pd.language_id = %d
EOSQL
    , Product::COLUMNS, $recently_viewed, (int)$_SESSION['languages_id']);

  $default_column = 'PRODUCT_LIST_ID';
  $sort_order = 'd';

  require $Template->map(__FILE__, 'page');

  require 'includes/application_bottom.php';
